List Exposures
curl --request GET \
--url https://app.aiinsurance.io/api/external/companies/{companyId}/exposures \
--header 'Authorization: <api-key>'import requests
url = "https://app.aiinsurance.io/api/external/companies/{companyId}/exposures"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.aiinsurance.io/api/external/companies/{companyId}/exposures', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "550e8400-e29b-41d4-a716-446655440200",
"name": "John Smith",
"entityType": "individual",
"policyIds": [
"550e8400-e29b-41d4-a716-446655440100"
],
"createdAt": "2025-01-15T10:30:00.000Z"
},
{
"id": "550e8400-e29b-41d4-a716-446655440201",
"name": "Acme Corporation",
"entityType": "organization",
"policyIds": [
"550e8400-e29b-41d4-a716-446655440100",
"550e8400-e29b-41d4-a716-446655440101"
],
"createdAt": "2025-01-10T08:00:00.000Z"
}
],
"totalCount": 42
}
Exposures
List Exposures
Returns a paginated list of exposures for the company.
Filtering:
id- Filter by exposure ID (single or array)entityType- Filter by entity typefilterText- Text search across exposure name
Sorting:
createdAt(default),name,entityType
Required permission: company.insured:read
GET
/
api
/
external
/
companies
/
{companyId}
/
exposures
List Exposures
Authorizations
API key authentication. Include your API key in the Authorization header.
Path Parameters
Company identifier
Query Parameters
Filter by exposure ID (single or array)
Filter by entity type
Search across quote number, description, and other text fields
Field to sort by
Available options:
createdAt, name, entityType Sort direction (default desc)
Available options:
asc, desc Page number (1-based, default 1, page size 50)
Required range:
x >= 1Was this page helpful?
